---
layout: job_family_page
title: Director of Professional Services
---

The Director of Professional Services provides the strategic vision and leads service delivery for GitLab’s Professional Services Organization. Reporting to the Vice President of Customer Success, the leader is responsible for developing strategies and operations to deliver best-in-class services (i.e., consulting, implementation and educational services) to help customers accelerate their DevOps transformation. The Director of Professional Services works to build and scale a services business, in a bold, fast-moving, transparent and values-led organization to enable customer and company success.

### Job Grade 

The Director, Professional Services is a [grade 10](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Responsibilities

- Develop strategic plans to build and evolve GitLab’s product and transformational service offerings
- Create service offerings aligned to enterprise and commercial market segments, including value positioning, scope of services, collateral and pricing.
- Lead delivery of consulting, education and implementation services to our customers, overseeing resource management, project delivery and operational success metrics.
- Be accountable for services financial goals and metrics, including bookings, revenue, gross margin and utilization.
- Own operational metrics, such as time-to-value, customer satisfaction and on-time completion of projects.
- Build and scale global service operations (i.e., people, process, systems and tools) to deliver a best-in-class customer experience while building an effective and efficient delivery methodologies
- Act as an evangelist for services, assisting sales with selling and serving as an executive sponsor for our strategic customers
- Develop and manage the partner strategy and ecosystem in partnership with our Channel team to maintain a global network of certified partners that deliver with consistent quality

## Requirements

- 5+ years of experience managing, leading and/or delivering professional services
- Proven experience building and leading a team of 25+ people in fast-paced, growing company
- 3 years experience with a subscription-based business model, delivering on-premises and SaaS solutions
- Experience managing technical, cross-functional professional services teams (e.g., consulting, implementation, trainers, project managers) and delivery partners
- Demonstrated experience building and scaling a professional services business with accountability for financial targets
- Experienced with software development lifecycle (i.e., SDLC), agile, DevOps, software development tools, technologies (e.g., Docker, Kubernetes), and/or cloud platforms (AWS, GCP, Azure)
- Ability to be an evangelist for GitLab customers and serve according to GitLab’s values
- Ability to travel up to 20%
- Ability to use GitLab

<%= partial("job-families/sales/performance", :locals => { :roleName => "Director of Professional Services" }) %>

## Senior Director

### Job Grade 

The Senior Director, Professional Services is a [grade 11](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements

- 8+ years of experience managing, leading and/or delivering professional or consulting services globally
- Proven experience building and leading a team of 50+ people in a fast-paced, growing company
- Demonstrated experience building and scaling a professional services business

## KPIs

- Completion of initiatives to improve quality, reliability and repeatability of services
- Financial success for the Professional Services organization (i.e., bookings, revenue, project and gross margin, revenue per employee and billable employee)
- Delivery metrics (i.e., customer satisfaction, on-time delivery, utilization)
